API ReferenceStatus list signers
Retrieve a status list signer
GET
Retrieves an existing status list signer.
Status list signer operations are only available in implementations using unmanaged (external) IACAs.
Roles
adminissuermanaged-issuercertificate-manager
Analytics Events
MOBILE_CREDENTIAL_STATUS_LIST_SIGNER_RETRIEVE_STARTMOBILE_CREDENTIAL_STATUS_LIST_SIGNER_RETRIEVE_SUCCESSMOBILE_CREDENTIAL_STATUS_LIST_SIGNER_RETRIEVE_FAIL
bearerAuthheader
AuthorizationBearer <token>statusListSignerId*stringStatus list identifier
Format
uuidStatus list signer retrieved
application/json- response
id*stringUnique identifier for this status list.
Format
uuidiacaId*stringIdentifies the IACA used to sign this status list signer.
Format
uuidactive*booleanIndicates whether or not this signer can currently be used to sign status lists. Status list signers can only be set to active after a valid certificate is provided.
csrPem*stringThe X.509 Certificate Signing Request (CSR) in PEM format, base64 encoded. Use this CSR to generate a valid certificate, then update the status list signer with the resulting certificate.
curl -X GET "https://example.com/v2/credentials/mobile/status-list-signers/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "iacaId": "080c670a-2e90-4023-b79f-b706e55e9bc6", "active": false, "csrPem": "-----BEGIN CERTIFICATE REQUEST-----...-----END CERTIFICATE REQUEST-----"}How would you rate this page?